.table {
  border: 1px solid #ddd;
  font-size: 14px;
  position: relative;
  background-color: #fff;
  margin-bottom: 32px;
}

.pagination {
  text-align: right;
}
.pagination i {
  border-radius: 50%;
  background-color: royalblue;
  width: 10px;
  height: 10px;
  display: inline-block;
  margin: 4px;
  transition: opacity 0.25s ease;
}

.col--main,
.content {
  overflow-x: auto;
  max-height: 85vh;

  /*display: flex;
  flex-wrap: no-wrap;*/
}

.col--main::-webkit-scrollbar {
  display: none;
}

.table-title {
  font-weight: 600;
  font-size: 1.25rem;
  margin-top: 32px;
}
.t-row--head .t-cell {
  border-bottom: 2px solid rgb(183, 201, 255);
}
.col {
  border-right: 1px solid #ddd;

  display: flex;
  flex-direction: column;
}
.t-col {
  border-right: 1px solid #ddd;
}

.col--main {
  box-shadow: 3px 0 4px rgba(0, 0, 0, 0.1);
  position: absolute;
  background-color: #f9f9f9;
  min-width: 0;
  left: 0;
  top: 0;
  bottom: 0;
  z-index: 1000;
}
.t-cell,
.cell {
  padding: 8px 16px;
  border-bottom: 1px solid #ddd;
  border-right: 1px solid #ddd;
}
.cell--head {
  border-bottom: 2px solid rgb(183, 201, 255);
}
.col--main .cell--head {
  font-weight: bold;
  border-bottom-color: royalblue;
  max-width: 140px;
  background-color: #f9f9f9;
}

.content .t-cell {
  background-color: #fff;
}

.content > .col:last-child {
  border-right: 0;
}
.col > .cell:last-child {
  border-bottom: 0;
}
.col--main .cell {
  border-right: 0;
}
.col--main {
  border-right: 0;
}

.cell--head {
  display: flex;
  align-items: center;
}

tbody > tr:last-child td {
  border-bottom: 0;
}

.like-table {
  display: table;
}
.like-tbody,
.like-head {
  display: table-row-group;
  vertical-align: middle;
}
.like-row {
  display: table-row;
  vertical-align: inherit;
}
.like-cell {
  display: table-cell;
  vertical-align: inherit;
}

.sticky {
  position: sticky;
  top: 0;
}

.t-row--head .t-cell {
  width: calc(100% / 6);
}
